// Header File
// Created 23/12/04; 17:15:17

void rect(short x1,short y1,short x2,short y2,short plane) //trace un rectangle
{
	 GraySetAMSPlane (plane);
	 DrawLine (x1, y1, x1, y2,A_NORMAL); 
	 DrawLine (x1, y1, x2, y1,A_NORMAL); 
	 DrawLine (x2, y1, x2, y2,A_NORMAL); 
	 DrawLine (x1, y2, x2, y2,A_NORMAL);
}

void FillRect(short plane, short x1,short y1,short x2,short y2, short Attr) //trace un rectangle plein
{
	 GraySetAMSPlane (plane);
	 ScrRectFill (&(SCR_RECT){{x1, y1, x2, y2}}, &(SCR_RECT){{0, 0, 239, 127}},Attr);
}

void affiche_level(void)
{
	int j, k ;
	for (j=0;j<13;j++){
		for (k=0;k<20;k++){
			switch (m[j][k]){
				case BRIQUE 		  : GrayTile8x8_RPLC_R(k+5,j*8+14,carre1, carre2,light,dark); break;
				case PIC_EN_HAUT  : GrayTile8x8_RPLC_R(k+5,j*8+14,pic1[HAUT-1], pic2[HAUT-1],light,dark); break;
				case PIC_A_GAUCHE : GrayTile8x8_RPLC_R(k+5,j*8+14,pic1[GAUCHE-1], pic2[GAUCHE-1],light,dark); break;
				case PIC_EN_BAS	  : GrayTile8x8_RPLC_R(k+5,j*8+14,pic1[BAS-1], pic2[BAS-1],light,dark); break;
				case PIC_A_DROITE : GrayTile8x8_RPLC_R(k+5,j*8+14,pic1[DROITE-1], pic2[DROITE-1],light,dark); break;
				case ARRIVEE 			: GrayTile8x8_RPLC_R(k+5,j*8+14,arrive, arrive,light,dark); break;
				case MINE					: GrayTile8x8_RPLC_R(k+5,j*8+14,pics1, pics2,light,dark); break;
				case GLACE			  : GrayTile8x8_RPLC_R(k+5,j*8+14,glace1, glace2,light,dark); break;
			}
		}
	}
}

void affiche_curs( int curs) //affiche le curseur
{
	FillRect(LIGHT_PLANE,20+40,15*curs+14+14,138+40,15*curs+23+14,A_XOR);
}

void drawbox(int x1,int y1,int x2,int y2) //boite de dialogue
{
	FillRect(DARK_PLANE, x1, y1, x2, y2, A_REVERSE);
	FillRect(LIGHT_PLANE, x1, y1, x2, y2, A_REVERSE);
	rect(x1, y1, x2, y2, DARK_PLANE);
	rect(x1, y1, x2, y2, LIGHT_PLANE);
	rect(x1, y1, x2-1, y2-1, DARK_PLANE);
	FillRect(LIGHT_PLANE, x1+2, y1+2, x2-2, y2-2, A_NORMAL);
}

