// Header File
// Created 23/12/04; 17:14:26

void high(int score,int level)
{
	char name_av[NB_LEVEL][16]={};
	int score_av[NB_LEVEL]={}, i,g=0;
	HSym hsym;
	SYM_ENTRY *SymPtr;
	int level_archive=0;
	hsym = SymFind (SYMSTR ("gravighs"));
	SymPtr = DerefSym (hsym);
	level_archive = SymPtr -> flags.bits.archived;
	
	if(level_archive) EM_moveSymFromExtMem (NULL,hsym); // desarchive la variable gravighs

	HANDLE handle;
	char *fptr;
	SYM_ENTRY *openscore_sym = SymFindPtr($(gravighs),0);

	for (i=0 ; i<NB_LEVEL ; i++)
	{
		score_av[i]=600*20; //initialisation  600 secondes
		strcpy(name_av[i], "bob"); //initialisation  "bob"
	}
	if (openscore_sym) //si le fichier gravighs existe
	{
		handle=openscore_sym->handle;
  	fptr=HeapDeref(handle); //fptr : pointeur sur gravighs
		if (*(short*)fptr==HIGH_SIZE-2) //si le fichier fait la bonne taille
		{
			for (i=0;i<NB_LEVEL;i++)
			{
				strcpy(name_av[i],fptr+2+i*16); //copie du nom
				score_av[i]=((short*)fptr)[1+NB_LEVEL*8+i]; //copie du score
			}
		}
	}
 	if (score_av[level-1] > score) //si notre score est inferieur au record
	{
		new_record(score_av[level-1], score); //nouveau record
		score_av[level-1] = score; //changement du record
		memset(name_av[level-1],0,16); //effacement du nom
		while (_keytest(RR_ENTER));
		SetIntVec (AUTO_INT_1, OldInt1); //remise du vecteur d'interruption (supprime aussi les niveaux de gris)
		DrawStr (10+40, 35+14, "Entrez votre nom :", A_NORMAL);
		i=0;
		while (g!=13) 
		//demande du nom (highscores)
		{
			g = ngetchx();
			if (g>13 && g<256)
			{
				if (i<15) //si la taille du nom est infrieure  15
				{
					name_av[level-1][i++] = g ; //rajout de la lettre au nom et taille++
					DrawStr (10+40, 45+14, name_av[level-1], A_REPLACE); //reaffichage du nom pour qu'on voit le rajout
				}	
			}
			if ((g == 257) && (i > 0)) //si on appuie sur retour en arrire et que le nom n'est pas vide
			{
				name_av[level-1][--i]=0; //efacement de la dernire lettre
				printf_xy (10+40, 45+14, "%s ", name_av[level-1]) ; //reaffichage avec un blanc derrire pour effacer la dernire lettre
			}
		}
		SetIntVec (AUTO_INT_1, MyInt1); //redirection du vecteur d'interruption
		GrayOn (); //reactivation des niveaux de gris
	}
 	
 	handle=HeapAlloc(HIGH_SIZE);
	openscore_sym=DerefSym(SymAdd(SYMSTR("gravighs")));
	openscore_sym->handle=handle;
	fptr=HeapDeref(handle);
	*(short*)fptr=HIGH_SIZE-2;
	for (i=0 ; i<NB_LEVEL ; i++)
	{
		strcpy(fptr+2+i*16,name_av[i]); //ecriture du nom
		((short*)fptr)[1+NB_LEVEL*8+i]=score_av[i]; //ecriture du score lui appartenant
	}
	fptr[HIGH_SIZE-6]=0;
	strcpy(fptr+HIGH_SIZE-5,"GVH");
	fptr[HIGH_SIZE-1]=OTH_TAG;
	if (level_archive) EM_moveSymToExtMem (NULL,SymFind (SYMSTR ("gravighs"))); // archive la variable gravighs	 si elle etait archive						 
}
